Skip to content

Disable Scheduled Snapshots

DELETE
/api/v1/schedule-snapshot/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
service_type
string

Specifies the type of service to disable scheduled snapshots for.

Example

schedule
resource_id
string

Identifier of the node whose scheduled snapshots are to be disabled

Example

<NODE_ID>
resource_type
string

Specifies the type of resource for which scheduled snapshots are disabled.

Example

node
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Specifies the target location for disabling scheduled snapshots.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of disabling scheduled snapshots

integer
data
object
errors
object
message

Confirmation message indicating scheduled snapshots have been disabled.

string

Example

{
"code": 200,
"message": "Schedule settings has been disabled successfully."
}